Skip to main content
GET
List Kling voices
Use your GENGEN API key to try this free request. Choose scope=preset for Kling’s official voices (the default) or scope=private for active voices created in your workspace. If the response includes a nextPage number, pass it as page with the same scope. Stop when nextPage is null. Listen to previewUrl when present. To use the voice in a Kling 4.0 video, copy its voiceId as a string. Choose a separate id for the prompt to reference with @. For example, if you choose narrator, refer to the voice as @narrator:
To use your own recording, create a private voice and check its status. You can delete a private voice to free a slot.

Authorizations

Authorization
string
header
required

GENGEN API key

Query Parameters

scope
enum<string>
default:preset

Use preset for official Kling voices or private for active voices created in this workspace.

Available options:
preset,
private
page
integer
default:1

One-based page number. For subsequent requests use the previous response's nextPage.

Required range: 1 <= x <= 1000
pageSize
integer
default:30

Number of entries to request per page.

Required range: 1 <= x <= 100

Response

A page of voices from the selected directory.

voices
object[]
required

Voices available on this page. The array can be empty.

nextPage
integer | null
required

Next page number, or null when pagination is complete.